info.bioinfweb.jphyloio.formats.newick

## Class NewickToken

- java.lang.Object
- - info.bioinfweb.jphyloio.formats.newick.NewickToken

-     public class NewickToken
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NewickToken(NewickTokenType type, StreamLocationProvider location)`
    `NewickToken(StreamLocationProvider location, double length)`
    `NewickToken(StreamLocationProvider location, java.lang.String text, boolean delimited)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getLength()`
    `StreamLocation` | `getLocation()`
    `java.lang.String` | `getText()`
    `NewickTokenType` | `getType()`
    `void` | `setDelimited(boolean delimited)`
    `void` | `setLength(double length)`
    `void` | `setText(java.lang.String text)`
    `boolean` | `wasDelimited()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NewickToken

          public NewickToken(NewickTokenType type,
                             StreamLocationProvider location)

    - #### NewickToken

          public NewickToken(StreamLocationProvider location,
                             java.lang.String text,
                             boolean delimited)

    - #### NewickToken

          public NewickToken(StreamLocationProvider location,
                             double length)

  - ### Method Detail

    - #### getLength

          public double getLength()

    - #### getText

          public java.lang.String getText()

    - #### getType

          public NewickTokenType getType()

    - #### setLength

          public void setLength(double length)

    - #### setText

          public void setText(java.lang.String text)

    - #### getLocation

          public StreamLocation getLocation()

    - #### wasDelimited

          public boolean wasDelimited()

    - #### setDelimited

          public void setDelimited(boolean delimited)